


IF(WIN32)
  SET (EXECUTABLE_OUTPUT_REL_PATH "") 
  SET (LIBRARY_OUTPUT_REL_PATH    "")
#  FILE(TO_NATIVE_PATH  ${PROJECT_BINARY_DIR}/$(OutDir)  BBTK_BIN_PATH)
#  SET(BBTK_BIN_PATH ${BBTK_DIR}/bin})
#  FIND_FILE(PATHS ${BBTK_BIN_PATH})

  FIND_PATH(BBTK_BIN_PATH bbi.exe ${BBTK_DIR}/bin ${BBTK_DIR}/Release ${BBTK_DIR}/RelWithDebInfo ${BBTK_DIR}/Debug NO_DEFAULT_PATH)

  IF(NOT BBTK_BIN_PATH)
    MESSAGE(FATAL_ERROR "bbi not found in ${BBTK_DIR}/bin ; ${BBTK_DIR}/Release ; ${BBTK_DIR}/Debug ; ${BBTK_DIR}/RelWithDebInfo : is bbtk properly built ?")
  ENDIF(NOT BBTK_BIN_PATH)

##  SET (ADDITIONAL_DLL_PATH "C:/Program Files/CreaTools/crea_ThirdParty_dlls-0.2.0/bin" CACHE PATH "Additional paths in which to look for dlls")

  SET(BBTK_PACKAGE_LIB_PATH bin)
  SET(BBTK_BBI "${BBTK_BIN_PATH}/bbi")
  SET(BBTK_BBS2CPP "${BBTK_BIN_PATH}/bbs2cpp")
  SET(BBTK_BBC "${BBTK_BIN_PATH}/bbc")
  SET(BBTK_BBFY "${BBTK_BIN_PATH}/bbfy")
  SET(BBTK_BBDOC "${BBTK_BIN_PATH}/bbdoc")
  
ELSE(WIN32)
#  SET (EXECUTABLE_OUTPUT_REL_PATH bin) 
#  SET (LIBRARY_OUTPUT_REL_PATH    bin)
  SET(BBTK_BIN_PATH ${BBTK_INSTALL_PREFIX}/bin)
#EED  SET(BBTK_PACKAGE_LIB_PATH ${BBTK_INSTALL_PREFIX}/lib)
      SET(BBTK_PACKAGE_LIB_PATH lib)
  SET(BBTK_BBI "${BBTK_BIN_PATH}/bbi")
  SET(BBTK_BBS2CPP "${BBTK_BIN_PATH}/bbs2cpp")
  SET(BBTK_BBC "${BBTK_BIN_PATH}/bbc")
  SET(BBTK_BBFY "${BBTK_BIN_PATH}/bbfy")
  SET(BBTK_BBDOC "${BBTK_BIN_PATH}/bbdoc")  
ENDIF(WIN32)


INCLUDE(${BBTK_CMAKE_DIR}/BBTKSetDeducedPaths.cmake)

