BUILDIR=bbtk-build-tmp
HTMLDIR=/var/www/html/software/bbtk
CVSR=:pserver:${USER}@cvs.creatis.insa-lyon.fr:/cvs/creatis
TAG=$1

echo "===== EXECUTING maj_bbtk_tux.sh ====="
echo "BUILDIR = ${BUILDIR}"
echo "HTMLDIR = ${HTMLDIR}"
echo "CVSROOT = ${CVSR}"
echo "TAG     = ${TAG}"

rm -Rf ${BUILDIR}
mkdir ${BUILDIR}
cd ${BUILDIR}
pwd


cvs -d ${CVSR} export -r ${TAG} bbtk

tar zcvf bbtk_${TAG}.tgz bbtk
zip -r bbtk_${TAG}.zip bbtk

mkdir bin
cd bin
export CC='gcc'
export CXX='g++'
cmake ../bbtk -D--BUILD_ALL=ON 
cmake ../bbtk -D--BUILD_ALL=ON 
cmake ../bbtk -D--BUILD_ALL=ON 
cmake ../bbtk -D--BUILD_ALL=ON 
cmake ../bbtk -D--BUILD_ALL=ON 
cmake ../bbtk -D--BUILD_ALL=ON 
make
cd ../bin/share/bbtk/doc
tar zcvf bbtk-site.tgz *
scp bbtk-site.tgz tux:${HTMLDIR}
cd ../../../..
scp bbtk_${TAG}.tgz tux:${HTMLDIR}
scp bbtk_${TAG}.zip tux:${HTMLDIR}
ssh tux "cd ${HTMLDIR};tar zxvf bbtk-site.tgz"

