/*=========================================================================                                                                               
  Program:   bbtk
  Module:    $RCSfile: bbvtkGetVectorElement.cxx,v $
  Language:  C++
  Date:      $Date: 2010/04/01 15:46:54 $
  Version:   $Revision: 1.1 $
=========================================================================*/

/* ---------------------------------------------------------------------

* Copyright (c) CREATIS-LRMN (Centre de Recherche en Imagerie Medicale)
* Authors : Eduardo Davila, Laurent Guigues, Jean-Pierre Roux
*
*  This software is governed by the CeCILL-B license under French law and 
*  abiding by the rules of distribution of free software. You can  use, 
*  modify and/ or redistribute the software under the terms of the CeCILL-B 
*  license as circulated by CEA, CNRS and INRIA at the following URL 
*  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
*  or in the file LICENSE.txt.
*
*  As a counterpart to the access to the source code and  rights to copy,
*  modify and redistribute granted by the license, users are provided only
*  with a limited warranty  and the software's author,  the holder of the
*  economic rights,  and the successive licensors  have only  limited
*  liability. 
*
*  The fact that you are presently reading this means that you have had
*  knowledge of the CeCILL-B license and that you accept its terms.
* ------------------------------------------------------------------------ */                                                                         

#include "bbvtkGetVectorElement.h"
#include "bbvtkPackage.h"

#include "vtkImageData.h"

namespace bbvtk
{
  //====================================================================
  BBTK_BLACK_BOX_TEMPLATE_IMPLEMENTATION(GetVectorElement,
					 bbtk::AtomicBlackBox);
  //====================================================================

//====================================================================
// Add the specialized boxes to the package

typedef vtkImageData * ptrvtkImageData;
BBTK_ADD_TEMPLATE_BLACK_BOX_TO_PACKAGE(vtk,GetVectorElement,ptrvtkImageData);

//====================================================================

} // namespace bbvtk
