#ifdef _USE_WXWIDGETS_

//==========================================================================
// WITH WX
//==========================================================================

#include "EditorGraphicBBS/bbsWxGUIEditorGraphic/bbtkwxGUIEditorGraphicBBS.h"

#include <wx/cmdline.h> 
#include <wx/app.h>


class wxBBEditorApp : public wxApp
{
public:
  bool OnInit( );
  int  OnExit() { return true; }

};

IMPLEMENT_APP(wxBBEditorApp);




// ----------------------------------------------------------------------------
// The `main program' equivalent, creating the windows and returning the
// main frame
bool wxBBEditorApp::OnInit( )
{
  wxApp::OnInit();
#ifdef __WXGTK__
  //See http://www.wxwindows.org/faqgtk.htm#locale
  setlocale(LC_NUMERIC, "C");
#endif

	bbtk::wxGUIEditorGraphicBBS *iegbbs; 
	iegbbs = new bbtk::wxGUIEditorGraphicBBS(NULL);
	SetTopWindow(iegbbs);  
	iegbbs->Show(true);

	return true;
}


#if defined(_WIN32) 

//  How to have a Console and wxWidgets
//  http://www.wxwidgets.org/wiki/index.php/MSVC_Setup_Guide
//   In Visual C++ 6 (7 should be similar), to create an application that is both a console application 
//  (cout's to the console are visible) and has a wxWidgets GUI, 
//  you need to use the linker option "/subsystem:console" and the following code:
int main(int argc, char* argv[])
{
	return WinMain(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), SW_SHOWNORMAL);
}

#endif // defined(_WIN32) 


#else
//==========================================================================
// WITHOUT WX
//==========================================================================
#include <iostream>
int main(int argc, char* argv[])
{  
  std::cout << "bbStudio was not compiled with wxWidgets : ciao !" <<std::endl;
  return 0;
}

// EOF
#endif //#ifdef _USE_WXWIDGETS_



