#===========================================================================
# PACKAGE DEPENDENCIES
# TO DO ...
#===========================================================================


#===========================================================================
# MESSAGES
IF(FIND_PACKAGE_VERBOSE)
  MESSAGE(STATUS "bbtk package '${BBTK_PACKAGE_NAME}' properly configured :")
#  MESSAGE(STATUS "* Version     = ${${BBTK_PACKAGE_NAME}_MAJOR_VERSION}.${${BBTK_PACKAGE_NAME}_MINOR_VERSION}.${${BBTK_PACKAGE_NAME}_BUILD_VERSION}")
  MESSAGE(STATUS "* Author      = ${${BBTK_PACKAGE_NAME}_AUTHOR}")
  MESSAGE(STATUS "* Description = ${${BBTK_PACKAGE_NAME}_DESCRIPTION}")
  
  IF(${BBTK_PACKAGE_NAME}_USE_WXWIDGETS)
    SET(DEPS "${DEPS} wxWidgets")  
  ENDIF(${BBTK_PACKAGE_NAME}_USE_WXWIDGETS)
  
  IF(${BBTK_PACKAGE_NAME}_USE_VTK)
    SET(DEPS "${DEPS} vtk")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_VTK)
  
  IF(${BBTK_PACKAGE_NAME}_USE_ITK)
    SET(DEPS "${DEPS} itk")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_ITK)
  
  IF(${BBTK_PACKAGE_NAME}_USE_GDCM)      
    SET(DEPS "${DEPS} gdcm")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_GDCM)      
  
  IF(${BBTK_PACKAGE_NAME}_USE_GSMIS)
    SET(DEPS "${DEPS} gsmis")
  ENDIF(${BBTK_PACKAGE_NAME}_USE_GSMIS)
  
  SET(DEPS "${DEPS} ${${BBTK_PACKAGE_NAME}_USE_PACKAGES}")
  
  MESSAGE(STATUS "* Deps        = ${DEPS}")
  
#SET(${BBTK_PACKAGE_NAME}_INCLUDE_DIRS)
#SET(${BBTK_PACKAGE_NAME}_LIBS) 

ENDIF(FIND_PACKAGE_VERBOSE)
#===========================================================================
