#ifdef USE_QT

#ifndef __bbqtQOutputText_h_INCLUDED__
#define __bbqtQOutputText_h_INCLUDED__
#include "bbqt_EXPORT.h"
#include "bbtkQtBlackBox.h"

namespace bbqt
{

class bbqt_EXPORT QOutputText
 : 
   public bbtk::QtBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(QOutputText,bbtk::QtBlackBox);

  BBTK_DECLARE_INPUT(Title,std::string);
  BBTK_DECLARE_INPUT(In,std::string);
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(QWidget*);
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(QOutputText,bbtk::QtBlackBox);
BBTK_NAME("QOutputText");
BBTK_AUTHOR("laurent.guigues@creatis.insa-lyon.fr");
BBTK_DESCRIPTION("OutputText");
BBTK_CATEGORY("");
BBTK_INPUT(QOutputText,Title,"Title prepended to the text",std::string,"");
BBTK_INPUT(QOutputText,In,"Text",std::string,"");
BBTK_END_DESCRIBE_BLACK_BOX(QOutputText);
}
// EO namespace bbqt

#endif // __bbqtQOutputText_h_INCLUDED__
#endif // USE_QT

