//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
#ifndef __bbvtkRescaleSlopeIntercept_h_INCLUDED__
#define __bbvtkRescaleSlopeIntercept_h_INCLUDED__
#include "bbvtk_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"

#include "vtkImageData.h"


namespace bbvtk
{

class bbvtk_EXPORT RescaleSlopeIntercept
 : 
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(RescaleSlopeIntercept,bbtk::AtomicBlackBox);
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
  BBTK_DECLARE_INPUT(In,vtkImageData*);
  BBTK_DECLARE_INPUT(Type,int);
  BBTK_DECLARE_INPUT(A,double);
  BBTK_DECLARE_INPUT(B,double);
  BBTK_DECLARE_INPUT(OutputFormat,std::string);
  BBTK_DECLARE_OUTPUT(Out,vtkImageData*);
  BBTK_PROCESS(Process);
  void Process();
	
	int outputformat;
	vtkImageData* imageoutput;
	
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(RescaleSlopeIntercept,bbtk::AtomicBlackBox);
BBTK_NAME("RescaleSlopeIntercept");
BBTK_AUTHOR("eduardo.davila at creatis.insa-lyon.fr");
BBTK_DESCRIPTION("Rescale Slope Intercept  (see Type input descriptio)");
BBTK_CATEGORY("filter");
BBTK_INPUT(RescaleSlopeIntercept,In,"Image input",vtkImageData*,"");
BBTK_INPUT(RescaleSlopeIntercept,Type,"type of operation: 0 (default) SlopeIntercept np=p*A+B, 1 Invert, 2 Redimension A=newMin B=newMax, 3 InvertRedimension A=newMin B=newMax",int,"");
BBTK_INPUT(RescaleSlopeIntercept,A,"(1 default) see Type description",double,"");
BBTK_INPUT(RescaleSlopeIntercept,B,"(0 default) see Type description",double,"");
BBTK_INPUT(RescaleSlopeIntercept,OutputFormat,"Image output format:  SAME (default), VTK_BIT, VTK_CHAR, VTK_SIGNED_CHAR, VTK_UNSIGNED_CHAR VTK_SHORT VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG, VTK_UNSIGNED_LONG, VTK_FLOAT VTK_DOUBLE",std::string,"");
BBTK_OUTPUT(RescaleSlopeIntercept,Out,"Image output",vtkImageData*,"");
BBTK_END_DESCRIBE_BLACK_BOX(RescaleSlopeIntercept);
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
}
// EO namespace bbvtk

#endif // __bbvtkRescaleSlopeIntercept_h_INCLUDED__

